diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-rtt-estimation.cc ns-3.44/src/internet/test/tcp-rtt-estimation.cc
--- ns-3.43/src/internet/test/tcp-rtt-estimation.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-rtt-estimation.cc	2025-03-09 16:55:49.415371200 -0700
@@ -17,9 +17,9 @@
 NS_LOG_COMPONENT_DEFINE("TcpRttEstimationTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Check Rtt calculations
+ * @brief Check Rtt calculations
  *
  * First check is that, for each ACK, we have a valid estimation of the RTT.
  * The second check is that, when updating RTT history, we should consider
@@ -30,10 +30,10 @@
 {
   public:
     /**
-     * \brief Constructor.
-     * \param desc Test description.
-     * \param enableTs Enable TimeStamp option.
-     * \param pktCount Packet number.
+     * @brief Constructor.
+     * @param desc Test description.
+     * @param enableTs Enable TimeStamp option.
+     * @param pktCount Packet number.
      */
     TcpRttEstimationTest(const std::string& desc, bool enableTs, uint32_t pktCount);
 
@@ -78,7 +78,7 @@
     TcpGeneralTest::ConfigureEnvironment();
     SetAppPktCount(m_pktCount);
     SetPropagationDelay(MilliSeconds(50));
-    SetTransmitStart(Seconds(2.0));
+    SetTransmitStart(Seconds(2));
     SetMTU(500);
 }
 
@@ -179,21 +179,21 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Check Rtt calculations with packet losses.
+ * @brief Check Rtt calculations with packet losses.
  *
- * \see TcpRttEstimationTest
+ * @see TcpRttEstimationTest
  */
 class TcpRttEstimationWithLossTest : public TcpRttEstimationTest
 {
   public:
     /**
-     * \brief Constructor.
-     * \param desc Test description.
-     * \param enableTs Enable TimeStamp option.
-     * \param pktCount Packet number.
-     * \param toDrop List of packet to drop.
+     * @brief Constructor.
+     * @param desc Test description.
+     * @param enableTs Enable TimeStamp option.
+     * @param pktCount Packet number.
+     * @param toDrop List of packet to drop.
      */
     TcpRttEstimationWithLossTest(const std::string& desc,
                                  bool enableTs,
@@ -230,9 +230,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP RTT estimation TestSuite
+ * @brief TCP RTT estimation TestSuite
  */
 class TcpRttEstimationTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-rx-buffer-test.cc ns-3.44/src/internet/test/tcp-rx-buffer-test.cc
--- ns-3.43/src/internet/test/tcp-rx-buffer-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-rx-buffer-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -13,10 +13,10 @@
 NS_LOG_COMPONENT_DEFINE("TcpRxBufferTestSuite");
 
 /**
- * \ingroup internet-test
- * \ingroup tests
+ * @ingroup internet-test
+ * @ingroup tests
  *
- * \brief The TcpRxBuffer Test
+ * @brief The TcpRxBuffer Test
  */
 class TcpRxBufferTestCase : public TestCase
 {
@@ -28,7 +28,7 @@
     void DoTeardown() override;
 
     /**
-     * \brief Test the SACK list update.
+     * @brief Test the SACK list update.
      */
     void TestUpdateSACKList();
 };
@@ -283,9 +283,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief the TestSuite for the TcpRxBuffer test case
+ * @brief the TestSuite for the TcpRxBuffer test case
  */
 class TcpRxBufferTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-sack-permitted-test.cc ns-3.44/src/internet/test/tcp-sack-permitted-test.cc
--- ns-3.43/src/internet/test/tcp-sack-permitted-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-sack-permitted-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -17,15 +17,15 @@
 NS_LOG_COMPONENT_DEFINE("SackPermittedTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Test case for checking the SACK-PERMITTED option.
+ * @brief Test case for checking the SACK-PERMITTED option.
  *
  */
 class SackPermittedTestCase : public TcpGeneralTest
 {
   public:
-    /** \brief Configuration of the test */
+    /** @brief Configuration of the test */
     enum Configuration
     {
         DISABLED,
@@ -35,8 +35,8 @@
     };
 
     /**
-     * \brief Constructor
-     * \param conf Test configuration.
+     * @brief Constructor
+     * @param conf Test configuration.
      * */
     SackPermittedTestCase(SackPermittedTestCase::Configuration conf);
 
@@ -186,15 +186,15 @@
 }
 
 /**
- * \ingroup internet-test
- * \ingroup tests
+ * @ingroup internet-test
+ * @ingroup tests
  *
  * The test case for testing the TCP SACK PERMITTED option.
  */
 class TcpSackPermittedTestSuite : public TestSuite
 {
   public:
-    /** \brief Constructor */
+    /** @brief Constructor */
     TcpSackPermittedTestSuite()
         : TestSuite("tcp-sack-permitted", Type::UNIT)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-scalable-test.cc ns-3.44/src/internet/test/tcp-scalable-test.cc
--- ns-3.43/src/internet/test/tcp-scalable-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-scalable-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -24,19 +24,19 @@
 NS_LOG_COMPONENT_DEFINE("TcpScalableTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the congestion avoidance increment on TcpScalable
+ * @brief Testing the congestion avoidance increment on TcpScalable
  */
 class TcpScalableIncrementTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param segmentSize Segment size.
-     * \param segmentsAcked Segments ACKed.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param segmentSize Segment size.
+     * @param segmentsAcked Segments ACKed.
+     * @param name Test description.
      */
     TcpScalableIncrementTest(uint32_t cWnd,
                              uint32_t segmentSize,
@@ -93,18 +93,18 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the multiplicative decrease on TcpScalable
+ * @brief Testing the multiplicative decrease on TcpScalable
  */
 class TcpScalableDecrementTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param segmentSize Segment size.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param segmentSize Segment size.
+     * @param name Test description.
      */
     TcpScalableDecrementTest(uint32_t cWnd, uint32_t segmentSize, const std::string& name);
 
@@ -151,9 +151,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TcpScalable TestSuite.
+ * @brief TcpScalable TestSuite.
  */
 class TcpScalableTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-slow-start-test.cc ns-3.44/src/internet/test/tcp-slow-start-test.cc
--- ns-3.43/src/internet/test/tcp-slow-start-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-slow-start-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -18,9 +18,9 @@
 NS_LOG_COMPONENT_DEFINE("TcpSlowStartTest");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Test the normal behavior for slow start
+ * @brief Test the normal behavior for slow start
  *
  * As method for checking the slow start, a callback is attached to the
  * congestion window. With the knowledge of the number of segments, we can calculate
@@ -29,19 +29,19 @@
  *
  * Check what is done inside CWndTrace.
  *
- * \see CWndTrace
+ * @see CWndTrace
  */
 class TcpSlowStartNormalTest : public TcpGeneralTest
 {
   public:
     /**
-     * \brief Constructor.
-     * \param segmentSize Segment size.
-     * \param packetSize Packet size.
-     * \param initSsTh Initial SlowStart threshold.
-     * \param packets Packet counter.
-     * \param congControl Congestion control.
-     * \param desc Test description.
+     * @brief Constructor.
+     * @param segmentSize Segment size.
+     * @param packetSize Packet size.
+     * @param initSsTh Initial SlowStart threshold.
+     * @param packets Packet counter.
+     * @param congControl Congestion control.
+     * @param desc Test description.
      */
     TcpSlowStartNormalTest(uint32_t segmentSize,
                            uint32_t packetSize,
@@ -122,15 +122,15 @@
 }
 
 /**
- * \brief Trace the cWnd over the slow start
+ * @brief Trace the cWnd over the slow start
  *
  * This method is called each time the cWnd changes. It should be updated only
  * by MSS bytes at time. Since the size doubles each RTT, a timing test is also
  * performed: the doubling should be made in 0.5s from the first (0.5s is
  * the delay of the SimpleChannel which connect the two socket).
  *
- * \param oldValue old value of cWnd
- * \param newValue new value of cWnd
+ * @param oldValue old value of cWnd
+ * @param newValue new value of cWnd
  */
 void
 TcpSlowStartNormalTest::CWndTrace(uint32_t oldValue, uint32_t newValue)
@@ -195,9 +195,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief A slow start test using a socket which sends smaller ACKs
+ * @brief A slow start test using a socket which sends smaller ACKs
  *
  * The same test are performed over a connection where, on one side, there is
  * a malicious socket which sends smaller ACKs than the segment received.
@@ -208,13 +208,13 @@
 {
   public:
     /**
-     * \brief Constructor.
-     * \param segmentSize Segment size.
-     * \param packetSize Packet size.
-     * \param initSsTh Initial SlowStart threshold.
-     * \param packets Packet counter.
-     * \param congControl Congestion control.
-     * \param desc Test description.
+     * @brief Constructor.
+     * @param segmentSize Segment size.
+     * @param packetSize Packet size.
+     * @param initSsTh Initial SlowStart threshold.
+     * @param packets Packet counter.
+     * @param congControl Congestion control.
+     * @param desc Test description.
      */
     TcpSlowStartAttackerTest(uint32_t segmentSize,
                              uint32_t packetSize,
@@ -248,9 +248,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP Slow Start TestSuite.
+ * @brief TCP Slow Start TestSuite.
  */
 class TcpSlowStartTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-syn-connection-failed-test.cc ns-3.44/src/internet/test/tcp-syn-connection-failed-test.cc
--- ns-3.43/src/internet/test/tcp-syn-connection-failed-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-syn-connection-failed-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -15,9 +15,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Test that connection failed callback is called when
+ * @brief Test that connection failed callback is called when
  * SYN retransmission number is exceeded.
  */
 class TcpSynConnectionFailedTest : public TestCase
@@ -25,14 +25,14 @@
   public:
     /**
      * Constructor.
-     * \param desc Test description.
-     * \param useEcn Whether to enable ECN.
+     * @param desc Test description.
+     * @param useEcn Whether to enable ECN.
      */
     TcpSynConnectionFailedTest(std::string desc, bool useEcn);
 
     /**
-     * \brief Handle a connection failure.
-     * \param socket The receiving socket.
+     * @brief Handle a connection failure.
+     * @param socket The receiving socket.
      */
     void HandleConnectionFailed(Ptr<Socket> socket);
     void DoRun() override;
@@ -83,9 +83,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TestSuite
+ * @brief TestSuite
  */
 class TcpSynConnectionFailedTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-test.cc ns-3.44/src/internet/test/tcp-test.cc
--- ns-3.43/src/internet/test/tcp-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -40,21 +40,21 @@
 NS_LOG_COMPONENT_DEFINE("TcpTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP Test - send string data from client to server and back.
+ * @brief TCP Test - send string data from client to server and back.
  */
 class TcpTestCase : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param totalStreamSize Total stream size (in bytes).
-     * \param sourceWriteSize Client data size when sending.
-     * \param sourceReadSize Client data size when receiving.
-     * \param serverWriteSize Server data size when sending.
-     * \param serverReadSize Server data size when receiving.
-     * \param useIpv6 Use IPv6 instead of IPv4.
+     * @brief Constructor.
+     * @param totalStreamSize Total stream size (in bytes).
+     * @param sourceWriteSize Client data size when sending.
+     * @param sourceReadSize Client data size when receiving.
+     * @param serverWriteSize Server data size when sending.
+     * @param serverReadSize Server data size when receiving.
+     * @param useIpv6 Use IPv6 instead of IPv4.
      */
     TcpTestCase(uint32_t totalStreamSize,
                 uint32_t sourceWriteSize,
@@ -68,70 +68,70 @@
     void DoTeardown() override;
 
     /**
-     * \brief Setup the test (IPv4 version).
+     * @brief Setup the test (IPv4 version).
      */
     void SetupDefaultSim();
     /**
-     * \brief Setup the test (IPv6 version).
+     * @brief Setup the test (IPv6 version).
      */
     void SetupDefaultSim6();
 
     /**
-     * \brief Create a node with the Internet stack (IPv4 version).
-     * \returns The new node.
+     * @brief Create a node with the Internet stack (IPv4 version).
+     * @returns The new node.
      */
     Ptr<Node> CreateInternetNode();
     /**
-     * \brief Create a node with the Internet stack (IPv6 version).
-     * \returns The new node.
+     * @brief Create a node with the Internet stack (IPv6 version).
+     * @returns The new node.
      */
     Ptr<Node> CreateInternetNode6();
 
     /**
-     * \brief Add a SimpleNetDevice to a node (IPv4 version).
-     * \param node The target node.
-     * \param ipaddr the SimpleNetDevice IPv4 address.
-     * \param netmask the SimpleNetDevice IPv4 address netmask.
-     * \returns The new SimpleNetDevice.
+     * @brief Add a SimpleNetDevice to a node (IPv4 version).
+     * @param node The target node.
+     * @param ipaddr the SimpleNetDevice IPv4 address.
+     * @param netmask the SimpleNetDevice IPv4 address netmask.
+     * @returns The new SimpleNetDevice.
      */
     Ptr<SimpleNetDevice> AddSimpleNetDevice(Ptr<Node> node,
                                             const char* ipaddr,
                                             const char* netmask);
     /**
-     * \brief Add a SimpleNetDevice to a node (IPv6 version).
-     * \param node The target node.
-     * \param ipaddr the SimpleNetDevice IPv6 address.
-     * \param prefix the SimpleNetDevice IP6 address prefix.
-     * \returns The new SimpleNetDevice.
+     * @brief Add a SimpleNetDevice to a node (IPv6 version).
+     * @param node The target node.
+     * @param ipaddr the SimpleNetDevice IPv6 address.
+     * @param prefix the SimpleNetDevice IP6 address prefix.
+     * @returns The new SimpleNetDevice.
      */
     Ptr<SimpleNetDevice> AddSimpleNetDevice6(Ptr<Node> node, Ipv6Address ipaddr, Ipv6Prefix prefix);
 
     /**
-     * \brief Server: Handle connection created.
-     * \param s The socket.
-     * \param addr The other party address.
+     * @brief Server: Handle connection created.
+     * @param s The socket.
+     * @param addr The other party address.
      */
     void ServerHandleConnectionCreated(Ptr<Socket> s, const Address& addr);
     /**
-     * \brief Server: Receive data.
-     * \param sock The socket.
+     * @brief Server: Receive data.
+     * @param sock The socket.
      */
     void ServerHandleRecv(Ptr<Socket> sock);
     /**
-     * \brief Server: Send data.
-     * \param sock The socket.
-     * \param available Unused in the test.
+     * @brief Server: Send data.
+     * @param sock The socket.
+     * @param available Unused in the test.
      */
     void ServerHandleSend(Ptr<Socket> sock, uint32_t available);
     /**
-     * \brief Client: Send data.
-     * \param sock The socket.
-     * \param available Unused in the test.
+     * @brief Client: Send data.
+     * @param sock The socket.
+     * @param available Unused in the test.
      */
     void SourceHandleSend(Ptr<Socket> sock, uint32_t available);
     /**
-     * \brief Client: Receive data.
-     * \param sock The socket.
+     * @brief Client: Receive data.
+     * @param sock The socket.
      */
     void SourceHandleRecv(Ptr<Socket> sock);
 
@@ -524,9 +524,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP TestSuite - send string data from client to server and back.
+ * @brief TCP TestSuite - send string data from client to server and back.
  */
 class TcpTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-timestamp-test.cc ns-3.44/src/internet/test/tcp-timestamp-test.cc
--- ns-3.43/src/internet/test/tcp-timestamp-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-timestamp-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -17,9 +17,9 @@
 NS_LOG_COMPONENT_DEFINE("TimestampTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP TimeStamp enabling Test.
+ * @brief TCP TimeStamp enabling Test.
  */
 class TimestampTestCase : public TcpGeneralTest
 {
@@ -36,8 +36,8 @@
     };
 
     /**
-     * \brief Constructor.
-     * \param conf Test configuration.
+     * @brief Constructor.
+     * @param conf Test configuration.
      */
     TimestampTestCase(TimestampTestCase::Configuration conf);
 
@@ -191,18 +191,18 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP TimeStamp values Test.
+ * @brief TCP TimeStamp values Test.
  */
 class TimestampValueTestCase : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param startTime Start time (Seconds).
-     * \param timeToWait Time to wait (Seconds).
-     * \param name Test description.
+     * @brief Constructor.
+     * @param startTime Start time (Seconds).
+     * @param timeToWait Time to wait (Seconds).
+     * @param name Test description.
      */
     TimestampValueTestCase(double startTime, double timeToWait, std::string name);
 
@@ -211,11 +211,11 @@
     void DoTeardown() override;
 
     /**
-     * \brief Perform the test checks.
+     * @brief Perform the test checks.
      */
     void Check();
     /**
-     * \brief Test initialization.
+     * @brief Test initialization.
      */
     void Init();
 
@@ -271,9 +271,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP TimeStamp TestSuite.
+ * @brief TCP TimeStamp TestSuite.
  */
 class TcpTimestampTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-tx-buffer-test.cc ns-3.44/src/internet/test/tcp-tx-buffer-test.cc
--- ns-3.43/src/internet/test/tcp-tx-buffer-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-tx-buffer-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -16,35 +16,35 @@
 NS_LOG_COMPONENT_DEFINE("TcpTxBufferTestSuite");
 
 /**
- * \ingroup internet-test
- * \ingroup tests
+ * @ingroup internet-test
+ * @ingroup tests
  *
- * \brief The TcpTxBuffer Test
+ * @brief The TcpTxBuffer Test
  */
 class TcpTxBufferTestCase : public TestCase
 {
   public:
-    /** \brief Constructor */
+    /** @brief Constructor */
     TcpTxBufferTestCase();
 
   private:
     void DoRun() override;
     void DoTeardown() override;
 
-    /** \brief Test if a segment is really set as lost */
+    /** @brief Test if a segment is really set as lost */
     void TestIsLost();
-    /** \brief Test the generation of an unsent block */
+    /** @brief Test the generation of an unsent block */
     void TestNewBlock();
-    /** \brief Test the generation of a previously sent block */
+    /** @brief Test the generation of a previously sent block */
     void TestTransmittedBlock();
-    /** \brief Test the generation of the "next" block */
+    /** @brief Test the generation of the "next" block */
     void TestNextSeg();
-    /** \brief Test the logic of merging items in GetTransmittedSegment()
+    /** @brief Test the logic of merging items in GetTransmittedSegment()
      * which is triggered by CopyFromSequence()*/
     void TestMergeItemsWhenGetTransmittedSegment();
     /**
-     * \brief Callback to provide a value of receiver window
-     * \returns the receiver window size
+     * @brief Callback to provide a value of receiver window
+     * @returns the receiver window size
      */
     uint32_t GetRWnd() const;
 };
@@ -57,14 +57,14 @@
 void
 TcpTxBufferTestCase::DoRun()
 {
-    Simulator::Schedule(Seconds(0.0), &TcpTxBufferTestCase::TestIsLost, this);
+    Simulator::Schedule(Seconds(0), &TcpTxBufferTestCase::TestIsLost, this);
     /*
      * Cases for new block:
      * -> is exactly the same as stored
      * -> starts over the boundary, but ends earlier
      * -> starts over the boundary, but ends after
      */
-    Simulator::Schedule(Seconds(0.0), &TcpTxBufferTestCase::TestNewBlock, this);
+    Simulator::Schedule(Seconds(0), &TcpTxBufferTestCase::TestNewBlock, this);
 
     /*
      * Cases for transmitted block:
@@ -75,8 +75,8 @@
      * -> starts inside a packet, ends earlier in the same packet
      * -> starts inside a packet, ends in another packet
      */
-    Simulator::Schedule(Seconds(0.0), &TcpTxBufferTestCase::TestTransmittedBlock, this);
-    Simulator::Schedule(Seconds(0.0), &TcpTxBufferTestCase::TestNextSeg, this);
+    Simulator::Schedule(Seconds(0), &TcpTxBufferTestCase::TestTransmittedBlock, this);
+    Simulator::Schedule(Seconds(0), &TcpTxBufferTestCase::TestNextSeg, this);
 
     /*
      * Case for transmitted block:
@@ -85,7 +85,7 @@
      *  -> during retransmission, the sender tries to send a full segment but it
      *     should stop to merge items when they have different values for m_lost.
      */
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &TcpTxBufferTestCase::TestMergeItemsWhenGetTransmittedSegment,
                         this);
 
@@ -420,9 +420,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief the TestSuite for the TcpTxBuffer test case
+ * @brief the TestSuite for the TcpTxBuffer test case
  */
 class TcpTxBufferTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-vegas-test.cc ns-3.44/src/internet/test/tcp-vegas-test.cc
--- ns-3.43/src/internet/test/tcp-vegas-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-vegas-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -23,21 +23,21 @@
 NS_LOG_COMPONENT_DEFINE("TcpVegasTestSuite");
 
 /**
- * \brief TcpVegas congestion control algorithm test
+ * @brief TcpVegas congestion control algorithm test
  */
 class TcpVegasTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param segmentSize Segment size.
-     * \param ssThresh Slow Start Threshold.
-     * \param rtt The RTT.
-     * \param segmentsAcked Number of segments ACKed.
-     * \param nextTxSeq Next Tx sequence number.
-     * \param lastAckedSeq Last ACKed sequence number.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param segmentSize Segment size.
+     * @param ssThresh Slow Start Threshold.
+     * @param rtt The RTT.
+     * @param segmentsAcked Number of segments ACKed.
+     * @param nextTxSeq Next Tx sequence number.
+     * @param lastAckedSeq Last ACKed sequence number.
+     * @param name Test description.
      */
     TcpVegasTest(uint32_t cWnd,
                  uint32_t segmentSize,
@@ -51,13 +51,13 @@
   private:
     void DoRun() override;
     /**
-     * \brief Increases the TCP window.
-     * \param cong The congestion control.
+     * @brief Increases the TCP window.
+     * @param cong The congestion control.
      */
     void IncreaseWindow(Ptr<TcpVegas> cong);
     /**
      * brief Get and check the SSH threshold.
-     * \param cong The congestion control.
+     * @param cong The congestion control.
      */
     void GetSsThresh(Ptr<TcpVegas> cong);
 
@@ -190,9 +190,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP Vegas TestSuite
+ * @brief TCP Vegas TestSuite
  */
 class TcpVegasTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-veno-test.cc ns-3.44/src/internet/test/tcp-veno-test.cc
--- ns-3.43/src/internet/test/tcp-veno-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-veno-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -23,22 +23,22 @@
 NS_LOG_COMPONENT_DEFINE("TcpVenoTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the additive increase and multiplicative decrease of TcpVeno
+ * @brief Testing the additive increase and multiplicative decrease of TcpVeno
  */
 class TcpVenoTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param segmentSize Segment size.
-     * \param ssThresh Slow Start Threshold.
-     * \param rtt The RTT.
-     * \param segmentsAcked Number of segments acked.
-     * \param numRtt Number of RTTs (i.e., rounds) in the test.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param segmentSize Segment size.
+     * @param ssThresh Slow Start Threshold.
+     * @param rtt The RTT.
+     * @param segmentsAcked Number of segments acked.
+     * @param numRtt Number of RTTs (i.e., rounds) in the test.
+     * @param name Test description.
      */
     TcpVenoTest(uint32_t cWnd,
                 uint32_t segmentSize,
@@ -52,43 +52,43 @@
     void DoRun() override;
 
     /**
-     * \brief TCP Veno additive increase formula.
-     * \param state The congestion control state.
-     * \param diff The difference between actual and expected throughput.
-     * \param beta TCP Veno beta param.
+     * @brief TCP Veno additive increase formula.
+     * @param state The congestion control state.
+     * @param diff The difference between actual and expected throughput.
+     * @param beta TCP Veno beta param.
      */
     void AdditiveIncrease(Ptr<TcpSocketState> state, uint32_t diff, UintegerValue beta);
 
     /**
-     * \brief TCP Veno multiplicative decrease formula.
-     * \param diff The difference between actual and expected throughput.
-     * \param beta TCP Veno beta param.
-     * \param bytesInFlight Bytes in flight.
-     * \returns The calculated SsThresh.
+     * @brief TCP Veno multiplicative decrease formula.
+     * @param diff The difference between actual and expected throughput.
+     * @param beta TCP Veno beta param.
+     * @param bytesInFlight Bytes in flight.
+     * @returns The calculated SsThresh.
      */
     uint32_t MultiplicativeDecrease(uint32_t diff,
                                     const UintegerValue& beta,
                                     uint32_t bytesInFlight) const;
 
     /**
-     * \brief Mimics the NewReno IncreaseWindow algorithm.
-     * \param state TCP socket state.
-     * \param segmentsAcked Number of segments acked.
+     * @brief Mimics the NewReno IncreaseWindow algorithm.
+     * @param state TCP socket state.
+     * @param segmentsAcked Number of segments acked.
      */
     void NewReno_IncreaseWindow(Ptr<TcpSocketState> state, uint32_t segmentsAcked);
 
     /**
-     * \brief Mimics the NewReno SlowStart algorithm.
-     * \param state TCP socket state.
-     * \param segmentsAcked Number of segments acked.
-     * \returns The number of segments that could be sent.
+     * @brief Mimics the NewReno SlowStart algorithm.
+     * @param state TCP socket state.
+     * @param segmentsAcked Number of segments acked.
+     * @returns The number of segments that could be sent.
      */
     uint32_t NewReno_SlowStart(Ptr<TcpSocketState> state, uint32_t segmentsAcked);
 
     /**
-     * \brief Mimics the NewReno Congestion Avoidance algorithm.
-     * \param state TCP socket state.
-     * \param segmentsAcked Number of segments acked.
+     * @brief Mimics the NewReno Congestion Avoidance algorithm.
+     * @param state TCP socket state.
+     * @param segmentsAcked Number of segments acked.
      */
     void NewReno_CongestionAvoidance(Ptr<TcpSocketState> state, uint32_t segmentsAcked);
 
@@ -287,9 +287,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP Veno TestSuite
+ * @brief TCP Veno TestSuite
  */
 class TcpVenoTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-wscaling-test.cc ns-3.44/src/internet/test/tcp-wscaling-test.cc
--- ns-3.43/src/internet/test/tcp-wscaling-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-wscaling-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -20,9 +20,9 @@
 
 // TODO: Check the buffer size and scaling option value
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP Window Scaling enabling Test.
+ * @brief TCP Window Scaling enabling Test.
  */
 class WScalingTestCase : public TcpGeneralTest
 {
@@ -39,11 +39,11 @@
     };
 
     /**
-     * \brief Constructor.
-     * \param conf Test configuration.
-     * \param maxRcvBufferSize Maximum receiver buffer size.
-     * \param maxSndBufferSize Maximum sender buffer size.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param conf Test configuration.
+     * @param maxRcvBufferSize Maximum receiver buffer size.
+     * @param maxSndBufferSize Maximum sender buffer size.
+     * @param name Test description.
      */
     WScalingTestCase(WScalingTestCase::Configuration conf,
                      uint32_t maxRcvBufferSize,
@@ -207,9 +207,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP Window Scaling TestSuite.
+ * @brief TCP Window Scaling TestSuite.
  */
 class TcpWScalingTestSuite : public TestSuite
 {
